weka.core

## Interface Randomizable

- All Known Implementing Classes:
    AdaBoostM1, AddNoise, Agrawal, Bagging, BayesNet, BIRCHCluster, Canopy, ClassificationGenerator, ClusterGenerator, Cobweb, CostSensitiveClassifier, CVParameterSelection, DataGenerator, EM, Expression, FarthestFirst, FilteredClassifier, GaussianProcesses, IterativeClassifierOptimizer, LED24, LogitBoost, MexicanHat, MiddleOutConstructor, MultiClassClassifier, MultiClassClassifierUpdateable, MultilayerPerceptron, MultiScheme, RandomCommittee, RandomForest, RandomizableClassifier, RandomizableClusterer, RandomizableDensityBasedClusterer, RandomizableFilteredClassifier, RandomizableIteratedSingleClassifierEnhancer, RandomizableMultipleClassifiersCombiner, RandomizableParallelIteratedSingleClassifierEnhancer, RandomizableParallelMultipleClassifiersCombiner, RandomizableSingleClassifierEnhancer, RandomizableSingleClustererEnhancer, Randomize, RandomProjection, RandomRBF, RandomSubset, RandomSubSpace, RandomTree, RDG1, RegressionGenerator, ReplaceWithMissingValue, REPTree, Resample, Resample, ReservoirSample, SGD, SGDText, SimpleKMeans, SpreadSubsample, Stacking, SubspaceCluster, Vote, WeightedInstancesHandlerWrapper

      public interface Randomizable

  Interface to something that has random behaviour that is able to be seeded with an integer.
  Version:
    $Revision: 8034 $
  Author:
    Richard Kirkby (rkirkby@cs.waikato.ac.nz)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSeed()` Gets the seed for the random number generations
    `void` | `setSeed(int seed)` Set the seed for random number generation.

- - ### Method Detail

    - #### setSeed

          void setSeed(int seed)

      Set the seed for random number generation.
      Parameters:
        `seed` - the seed

    - #### getSeed

          int getSeed()

      Gets the seed for the random number generations
      Returns:
        the seed for the random number generation